Incentive
For authentication instructions, see API overview.
Endpoints
get
List all incentive plans
Returns a list of incentive plans. The incentive plans are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/incentive-plansResponse
No response schemapost
Create incentive plans
Create incentive plans. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
planCodestringplanNamestringcalculationPeriodstringscopestringcalculateOnActualAchievementbooleanqualifyingMetricsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/incentive-plans \ -d 'planCode="incentive1"' \ -d 'planName="description1"' \ -d 'calculationPeriod="Monthly"' \ -d 'scope="user"' \ -d 'calculateOnActualAchievement=true' \ -d 'qualifyingMetrics="array"'Response
No response schemaget
Retrieve incentive plans
Returns a single incentive plan, which you can request by passing through an id in the url.
Path parameters
idstringID of the incentive plan
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/incentive-plans/:idResponse
No response schemaput
Update incentive plans
Path parameters
idstringID of the incentive plan
Request body
planCodestringplanNamestringcalculationPeriodstringscopestringcalculateOnActualAchievementbooleanqualifyingMetricsarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/incentive-plans/:id \ -d 'planCode="incentive1"' \ -d 'planName="description1"' \ -d 'calculationPeriod="Monthly"' \ -d 'scope="user"' \ -d 'calculateOnActualAchievement=true' \ -d 'qualifyingMetrics="array"'Response
No response schemapatch
Update incentive plans soft
Update incentive plans soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the incentive plan
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/incentive-plans/:idResponse
No response schemadelete
Delete incentive plans
Path parameters
idstringID of the incentive plan
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/incentive-plans/deleted/:id